UpdatePostgresqlConnectionDetails¶
-
class
oci.golden_gate.models.UpdatePostgresqlConnectionDetails(**kwargs)¶ Bases:
oci.golden_gate.models.update_connection_details.UpdateConnectionDetailsThe information to update a PostgreSQL Database Connection.
Attributes
CONNECTION_TYPE_AI_MODELstr(object=’’) -> str CONNECTION_TYPE_AMAZON_KINESISstr(object=’’) -> str CONNECTION_TYPE_AMAZON_REDSHIFTstr(object=’’) -> str CONNECTION_TYPE_AMAZON_S3str(object=’’) -> str CONNECTION_TYPE_AZURE_DATA_LAKE_STORAGEstr(object=’’) -> str CONNECTION_TYPE_AZURE_SYNAPSE_ANALYTICSstr(object=’’) -> str CONNECTION_TYPE_DATABRICKSstr(object=’’) -> str CONNECTION_TYPE_DB2str(object=’’) -> str CONNECTION_TYPE_ELASTICSEARCHstr(object=’’) -> str CONNECTION_TYPE_GENERICstr(object=’’) -> str CONNECTION_TYPE_GOLDENGATEstr(object=’’) -> str CONNECTION_TYPE_GOOGLE_BIGQUERYstr(object=’’) -> str CONNECTION_TYPE_GOOGLE_CLOUD_STORAGEstr(object=’’) -> str CONNECTION_TYPE_GOOGLE_PUBSUBstr(object=’’) -> str CONNECTION_TYPE_HDFSstr(object=’’) -> str CONNECTION_TYPE_ICEBERGstr(object=’’) -> str CONNECTION_TYPE_JAVA_MESSAGE_SERVICEstr(object=’’) -> str CONNECTION_TYPE_KAFKAstr(object=’’) -> str CONNECTION_TYPE_KAFKA_SCHEMA_REGISTRYstr(object=’’) -> str CONNECTION_TYPE_MICROSOFT_FABRICstr(object=’’) -> str CONNECTION_TYPE_MICROSOFT_SQLSERVERstr(object=’’) -> str CONNECTION_TYPE_MONGODBstr(object=’’) -> str CONNECTION_TYPE_MYSQLstr(object=’’) -> str CONNECTION_TYPE_OCI_OBJECT_STORAGEstr(object=’’) -> str CONNECTION_TYPE_ORACLEstr(object=’’) -> str CONNECTION_TYPE_ORACLE_AI_DATA_PLATFORMstr(object=’’) -> str CONNECTION_TYPE_ORACLE_NOSQLstr(object=’’) -> str CONNECTION_TYPE_POSTGRESQLstr(object=’’) -> str CONNECTION_TYPE_REDISstr(object=’’) -> str CONNECTION_TYPE_SNOWFLAKEstr(object=’’) -> str ROUTING_METHOD_DEDICATED_ENDPOINTstr(object=’’) -> str ROUTING_METHOD_SHARED_DEPLOYMENT_ENDPOINTstr(object=’’) -> str ROUTING_METHOD_SHARED_SERVICE_ENDPOINTstr(object=’’) -> str additional_attributesGets the additional_attributes of this UpdatePostgresqlConnectionDetails. connection_typeGets the connection_type of this UpdateConnectionDetails. database_nameGets the database_name of this UpdatePostgresqlConnectionDetails. db_system_idGets the db_system_id of this UpdatePostgresqlConnectionDetails. defined_tagsGets the defined_tags of this UpdateConnectionDetails. descriptionGets the description of this UpdateConnectionDetails. display_nameGets the display_name of this UpdateConnectionDetails. does_use_secret_idsGets the does_use_secret_ids of this UpdateConnectionDetails. freeform_tagsGets the freeform_tags of this UpdateConnectionDetails. hostGets the host of this UpdatePostgresqlConnectionDetails. key_idGets the key_id of this UpdateConnectionDetails. nsg_idsGets the nsg_ids of this UpdateConnectionDetails. passwordGets the password of this UpdatePostgresqlConnectionDetails. password_secret_idGets the password_secret_id of this UpdatePostgresqlConnectionDetails. portGets the port of this UpdatePostgresqlConnectionDetails. private_ipGets the private_ip of this UpdatePostgresqlConnectionDetails. routing_methodGets the routing_method of this UpdateConnectionDetails. security_attributesGets the security_attributes of this UpdateConnectionDetails. security_protocolGets the security_protocol of this UpdatePostgresqlConnectionDetails. ssl_caGets the ssl_ca of this UpdatePostgresqlConnectionDetails. ssl_certGets the ssl_cert of this UpdatePostgresqlConnectionDetails. ssl_crlGets the ssl_crl of this UpdatePostgresqlConnectionDetails. ssl_keyGets the ssl_key of this UpdatePostgresqlConnectionDetails. ssl_key_secret_idGets the ssl_key_secret_id of this UpdatePostgresqlConnectionDetails. ssl_modeGets the ssl_mode of this UpdatePostgresqlConnectionDetails. subnet_idGets the subnet_id of this UpdateConnectionDetails. usernameGets the username of this UpdatePostgresqlConnectionDetails. vault_idGets the vault_id of this UpdateConnectionDetails. Methods
__init__(**kwargs)Initializes a new UpdatePostgresqlConnectionDetails object with values from keyword arguments. get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype. -
CONNECTION_TYPE_AI_MODEL= 'AI_MODEL'¶
-
CONNECTION_TYPE_AMAZON_KINESIS= 'AMAZON_KINESIS'¶
-
CONNECTION_TYPE_AMAZON_REDSHIFT= 'AMAZON_REDSHIFT'¶
-
CONNECTION_TYPE_AMAZON_S3= 'AMAZON_S3'¶
-
CONNECTION_TYPE_AZURE_DATA_LAKE_STORAGE= 'AZURE_DATA_LAKE_STORAGE'¶
-
CONNECTION_TYPE_AZURE_SYNAPSE_ANALYTICS= 'AZURE_SYNAPSE_ANALYTICS'¶
-
CONNECTION_TYPE_DATABRICKS= 'DATABRICKS'¶
-
CONNECTION_TYPE_DB2= 'DB2'¶
-
CONNECTION_TYPE_ELASTICSEARCH= 'ELASTICSEARCH'¶
-
CONNECTION_TYPE_GENERIC= 'GENERIC'¶
-
CONNECTION_TYPE_GOLDENGATE= 'GOLDENGATE'¶
-
CONNECTION_TYPE_GOOGLE_BIGQUERY= 'GOOGLE_BIGQUERY'¶
-
CONNECTION_TYPE_GOOGLE_CLOUD_STORAGE= 'GOOGLE_CLOUD_STORAGE'¶
-
CONNECTION_TYPE_GOOGLE_PUBSUB= 'GOOGLE_PUBSUB'¶
-
CONNECTION_TYPE_HDFS= 'HDFS'¶
-
CONNECTION_TYPE_ICEBERG= 'ICEBERG'¶
-
CONNECTION_TYPE_JAVA_MESSAGE_SERVICE= 'JAVA_MESSAGE_SERVICE'¶
-
CONNECTION_TYPE_KAFKA= 'KAFKA'¶
-
CONNECTION_TYPE_KAFKA_SCHEMA_REGISTRY= 'KAFKA_SCHEMA_REGISTRY'¶
-
CONNECTION_TYPE_MICROSOFT_FABRIC= 'MICROSOFT_FABRIC'¶
-
CONNECTION_TYPE_MICROSOFT_SQLSERVER= 'MICROSOFT_SQLSERVER'¶
-
CONNECTION_TYPE_MONGODB= 'MONGODB'¶
-
CONNECTION_TYPE_MYSQL= 'MYSQL'¶
-
CONNECTION_TYPE_OCI_OBJECT_STORAGE= 'OCI_OBJECT_STORAGE'¶
-
CONNECTION_TYPE_ORACLE= 'ORACLE'¶
-
CONNECTION_TYPE_ORACLE_AI_DATA_PLATFORM= 'ORACLE_AI_DATA_PLATFORM'¶
-
CONNECTION_TYPE_ORACLE_NOSQL= 'ORACLE_NOSQL'¶
-
CONNECTION_TYPE_POSTGRESQL= 'POSTGRESQL'¶
-
CONNECTION_TYPE_REDIS= 'REDIS'¶
-
CONNECTION_TYPE_SNOWFLAKE= 'SNOWFLAKE'¶
-
ROUTING_METHOD_DEDICATED_ENDPOINT= 'DEDICATED_ENDPOINT'¶
-
ROUTING_METHOD_SHARED_DEPLOYMENT_ENDPOINT= 'SHARED_DEPLOYMENT_ENDPOINT'¶
-
ROUTING_METHOD_SHARED_SERVICE_ENDPOINT= 'SHARED_SERVICE_ENDPOINT'¶
-
__init__(**kwargs)¶ Initializes a new UpdatePostgresqlConnectionDetails object with values from keyword arguments. The default value of the
connection_typeattribute of this class isPOSTGRESQLand it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):Parameters: - connection_type (str) – The value to assign to the connection_type property of this UpdatePostgresqlConnectionDetails. Allowed values for this property are: “GOLDENGATE”, “KAFKA”, “KAFKA_SCHEMA_REGISTRY”, “MYSQL”, “JAVA_MESSAGE_SERVICE”, “MICROSOFT_SQLSERVER”, “OCI_OBJECT_STORAGE”, “ORACLE”, “AZURE_DATA_LAKE_STORAGE”, “POSTGRESQL”, “AZURE_SYNAPSE_ANALYTICS”, “SNOWFLAKE”, “AMAZON_S3”, “HDFS”, “ORACLE_AI_DATA_PLATFORM”, “ORACLE_NOSQL”, “MONGODB”, “AMAZON_KINESIS”, “AMAZON_REDSHIFT”, “DB2”, “REDIS”, “ELASTICSEARCH”, “GENERIC”, “GOOGLE_CLOUD_STORAGE”, “GOOGLE_BIGQUERY”, “DATABRICKS”, “GOOGLE_PUBSUB”, “MICROSOFT_FABRIC”, “ICEBERG”, “AI_MODEL”
- display_name (str) – The value to assign to the display_name property of this UpdatePostgresqlConnectionDetails.
- description (str) – The value to assign to the description property of this UpdatePostgresqlConnectionDetails.
- freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this UpdatePostgresqlConnectionDetails.
- defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this UpdatePostgresqlConnectionDetails.
- vault_id (str) – The value to assign to the vault_id property of this UpdatePostgresqlConnectionDetails.
- key_id (str) – The value to assign to the key_id property of this UpdatePostgresqlConnectionDetails.
- nsg_ids (list[str]) – The value to assign to the nsg_ids property of this UpdatePostgresqlConnectionDetails.
- subnet_id (str) – The value to assign to the subnet_id property of this UpdatePostgresqlConnectionDetails.
- routing_method (str) – The value to assign to the routing_method property of this UpdatePostgresqlConnectionDetails. Allowed values for this property are: “SHARED_SERVICE_ENDPOINT”, “SHARED_DEPLOYMENT_ENDPOINT”, “DEDICATED_ENDPOINT”
- does_use_secret_ids (bool) – The value to assign to the does_use_secret_ids property of this UpdatePostgresqlConnectionDetails.
- security_attributes (dict(str, dict(str, object))) – The value to assign to the security_attributes property of this UpdatePostgresqlConnectionDetails.
- database_name (str) – The value to assign to the database_name property of this UpdatePostgresqlConnectionDetails.
- host (str) – The value to assign to the host property of this UpdatePostgresqlConnectionDetails.
- port (int) – The value to assign to the port property of this UpdatePostgresqlConnectionDetails.
- username (str) – The value to assign to the username property of this UpdatePostgresqlConnectionDetails.
- password (str) – The value to assign to the password property of this UpdatePostgresqlConnectionDetails.
- password_secret_id (str) – The value to assign to the password_secret_id property of this UpdatePostgresqlConnectionDetails.
- additional_attributes (list[oci.golden_gate.models.NameValuePair]) – The value to assign to the additional_attributes property of this UpdatePostgresqlConnectionDetails.
- security_protocol (str) – The value to assign to the security_protocol property of this UpdatePostgresqlConnectionDetails.
- ssl_mode (str) – The value to assign to the ssl_mode property of this UpdatePostgresqlConnectionDetails.
- ssl_ca (str) – The value to assign to the ssl_ca property of this UpdatePostgresqlConnectionDetails.
- ssl_crl (str) – The value to assign to the ssl_crl property of this UpdatePostgresqlConnectionDetails.
- ssl_cert (str) – The value to assign to the ssl_cert property of this UpdatePostgresqlConnectionDetails.
- ssl_key (str) – The value to assign to the ssl_key property of this UpdatePostgresqlConnectionDetails.
- ssl_key_secret_id (str) – The value to assign to the ssl_key_secret_id property of this UpdatePostgresqlConnectionDetails.
- private_ip (str) – The value to assign to the private_ip property of this UpdatePostgresqlConnectionDetails.
- db_system_id (str) – The value to assign to the db_system_id property of this UpdatePostgresqlConnectionDetails.
-
additional_attributes¶ Gets the additional_attributes of this UpdatePostgresqlConnectionDetails. An array of name-value pair attribute entries. Used as additional parameters in connection string.
Returns: The additional_attributes of this UpdatePostgresqlConnectionDetails. Return type: list[oci.golden_gate.models.NameValuePair]
-
connection_type¶ Gets the connection_type of this UpdateConnectionDetails. The connection type.
Allowed values for this property are: “GOLDENGATE”, “KAFKA”, “KAFKA_SCHEMA_REGISTRY”, “MYSQL”, “JAVA_MESSAGE_SERVICE”, “MICROSOFT_SQLSERVER”, “OCI_OBJECT_STORAGE”, “ORACLE”, “AZURE_DATA_LAKE_STORAGE”, “POSTGRESQL”, “AZURE_SYNAPSE_ANALYTICS”, “SNOWFLAKE”, “AMAZON_S3”, “HDFS”, “ORACLE_AI_DATA_PLATFORM”, “ORACLE_NOSQL”, “MONGODB”, “AMAZON_KINESIS”, “AMAZON_REDSHIFT”, “DB2”, “REDIS”, “ELASTICSEARCH”, “GENERIC”, “GOOGLE_CLOUD_STORAGE”, “GOOGLE_BIGQUERY”, “DATABRICKS”, “GOOGLE_PUBSUB”, “MICROSOFT_FABRIC”, “ICEBERG”, “AI_MODEL”
Returns: The connection_type of this UpdateConnectionDetails. Return type: str
-
database_name¶ Gets the database_name of this UpdatePostgresqlConnectionDetails. The name of the database.
Returns: The database_name of this UpdatePostgresqlConnectionDetails. Return type: str
-
db_system_id¶ Gets the db_system_id of this UpdatePostgresqlConnectionDetails. The OCID of the database system being referenced.
Returns: The db_system_id of this UpdatePostgresqlConnectionDetails. Return type: str
Gets the defined_tags of this UpdateConnectionDetails. Tags defined for this resource. Each key is predefined and scoped to a namespace.
Example: {“foo-namespace”: {“bar-key”: “value”}}
Returns: The defined_tags of this UpdateConnectionDetails. Return type: dict(str, dict(str, object))
-
description¶ Gets the description of this UpdateConnectionDetails. Metadata about this specific object.
Returns: The description of this UpdateConnectionDetails. Return type: str
-
display_name¶ Gets the display_name of this UpdateConnectionDetails. An object’s Display Name.
Returns: The display_name of this UpdateConnectionDetails. Return type: str
-
does_use_secret_ids¶ Gets the does_use_secret_ids of this UpdateConnectionDetails. Indicates that sensitive attributes are provided via Secrets.
Deprecated: This field is deprecated. Sensitive attributes should be provided using the corresponding Secret OCID attributes of the connection (for example, passwordSecretId) instead of plain-text attributes. This change follows the GoldenGate “Plain Text Fields in Connections” deprecation: https://docs.oracle.com/en-us/iaas/Content/servicechanges.htm#servicechanges_topic-GoldenGate
When set to true, all sensitive information must be provided as OCI Vault secrets using the corresponding *SecretId attributes of the connection (for example, passwordSecretId). Plain-text sensitive attributes (for example, password) must not be used. This ensures that sensitive information remains stored and managed in the customer’s OCI Vault rather than by the GoldenGate service.
When set to false, sensitive information must be provided in the corresponding plain-text attributes (for example, password) rather than in secret OCID attributes. In this mode, the sensitive information is stored by the GoldenGate service. If vaultId and keyId are not specified, the GoldenGate service uses Oracle-managed encryption keys to encrypt the stored data.
If vaultId and keyId are provided, the specified customer-managed key is used.
Returns: The does_use_secret_ids of this UpdateConnectionDetails. Return type: bool
Gets the freeform_tags of this UpdateConnectionDetails. A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only.
Example: {“bar-key”: “value”}
Returns: The freeform_tags of this UpdateConnectionDetails. Return type: dict(str, str)
-
static
get_subtype(object_dictionary)¶ Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
-
host¶ Gets the host of this UpdatePostgresqlConnectionDetails. The name or address of a host.
Returns: The host of this UpdatePostgresqlConnectionDetails. Return type: str
-
key_id¶ Gets the key_id of this UpdateConnectionDetails. References the OCI Vault key in the OCI Vault identified by vaultId.
Deprecated: This field is deprecated for GoldenGate connections. Sensitive attributes should be provided using the corresponding Secret OCID attributes of the connection (for example, passwordSecretId) instead of plain-text attributes encrypted with vaultId and keyId. This change follows the GoldenGate “Plain Text Fields in Connections” deprecation: https://docs.oracle.com/en-us/iaas/Content/servicechanges.htm#servicechanges_topic-GoldenGate
The GoldenGate service uses this key to encrypt sensitive information (for example, password) that is provided in plain-text connection attributes through the API. This field is applicable only when doesUseSecretIds is set to false. If both vaultId and keyId are provided, the GoldenGate service uses the specified customer-managed key to encrypt the sensitive data. If neither vaultId nor keyId is provided, the GoldenGate service uses Oracle-managed encryption keys.
Returns: The key_id of this UpdateConnectionDetails. Return type: str
-
nsg_ids¶ Gets the nsg_ids of this UpdateConnectionDetails. An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
Returns: The nsg_ids of this UpdateConnectionDetails. Return type: list[str]
-
password¶ Gets the password of this UpdatePostgresqlConnectionDetails. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Deprecated: This field is deprecated and replaced by “passwordSecretId”. This change follows the GoldenGate “Plain Text Fields in Connections” deprecation: https://docs.oracle.com/en-us/iaas/Content/servicechanges.htm#servicechanges_topic-GoldenGate
Returns: The password of this UpdatePostgresqlConnectionDetails. Return type: str
-
password_secret_id¶ Gets the password_secret_id of this UpdatePostgresqlConnectionDetails. The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. If secretId is used plaintext field must not be provided. Note: When provided, ‘password’ field must not be provided.
Returns: The password_secret_id of this UpdatePostgresqlConnectionDetails. Return type: str
-
port¶ Gets the port of this UpdatePostgresqlConnectionDetails. The port of an endpoint usually specified for a connection.
Returns: The port of this UpdatePostgresqlConnectionDetails. Return type: int
-
private_ip¶ Gets the private_ip of this UpdatePostgresqlConnectionDetails. This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
For deprecated connections created with this field in the past, either the private IP had to be specified in the connectionString or host field, or the host name had to be resolvable in the target VCN.
Returns: The private_ip of this UpdatePostgresqlConnectionDetails. Return type: str
-
routing_method¶ Gets the routing_method of this UpdateConnectionDetails. Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment’s private endpoint through the deployment’s subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service’s network to public hosts. Cannot be used for private targets.
Deprecated: SHARED_SERVICE_ENDPOINT is deprecated. Use another supported routingMethod value, or update existing connections to use a supported routing method. This change follows the GoldenGate “Plain Text Fields in Connections” deprecation: https://docs.oracle.com/en-us/iaas/Content/servicechanges.htm#servicechanges_topic-GoldenGate
Allowed values for this property are: “SHARED_SERVICE_ENDPOINT”, “SHARED_DEPLOYMENT_ENDPOINT”, “DEDICATED_ENDPOINT”
Returns: The routing_method of this UpdateConnectionDetails. Return type: str
-
security_attributes¶ Gets the security_attributes of this UpdateConnectionDetails. Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
Example: {“Oracle-ZPR”: {“MaxEgressCount”: {“value”: “42”, “mode”: “enforce”}}}
Returns: The security_attributes of this UpdateConnectionDetails. Return type: dict(str, dict(str, object))
-
security_protocol¶ Gets the security_protocol of this UpdatePostgresqlConnectionDetails. Security protocol for PostgreSQL.
Returns: The security_protocol of this UpdatePostgresqlConnectionDetails. Return type: str
-
ssl_ca¶ Gets the ssl_ca of this UpdatePostgresqlConnectionDetails. The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
Returns: The ssl_ca of this UpdatePostgresqlConnectionDetails. Return type: str
-
ssl_cert¶ Gets the ssl_cert of this UpdatePostgresqlConnectionDetails. The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
Returns: The ssl_cert of this UpdatePostgresqlConnectionDetails. Return type: str
-
ssl_crl¶ Gets the ssl_crl of this UpdatePostgresqlConnectionDetails. The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). It is not included in GET responses if the view=COMPACT query parameter is specified.
Returns: The ssl_crl of this UpdatePostgresqlConnectionDetails. Return type: str
-
ssl_key¶ Gets the ssl_key of this UpdatePostgresqlConnectionDetails. The base64 encoded private key of the PostgreSQL server. The supported file formats are .pem and .crt. Deprecated: This field is deprecated and replaced by “sslKeySecretId”. This change follows the GoldenGate “Plain Text Fields in Connections” deprecation: https://docs.oracle.com/en-us/iaas/Content/servicechanges.htm#servicechanges_topic-GoldenGate
Returns: The ssl_key of this UpdatePostgresqlConnectionDetails. Return type: str
-
ssl_key_secret_id¶ Gets the ssl_key_secret_id of this UpdatePostgresqlConnectionDetails. The OCID of the Secret that stores the private key of the PostgreSQL server. The supported file formats are .pem and .crt. Note: When provided, ‘sslKey’ field must not be provided.
Returns: The ssl_key_secret_id of this UpdatePostgresqlConnectionDetails. Return type: str
-
ssl_mode¶ Gets the ssl_mode of this UpdatePostgresqlConnectionDetails. SSL modes for PostgreSQL.
Returns: The ssl_mode of this UpdatePostgresqlConnectionDetails. Return type: str
-
subnet_id¶ Gets the subnet_id of this UpdateConnectionDetails. The OCID of the target subnet of the dedicated connection.
Returns: The subnet_id of this UpdateConnectionDetails. Return type: str
-
username¶ Gets the username of this UpdatePostgresqlConnectionDetails. The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
Returns: The username of this UpdatePostgresqlConnectionDetails. Return type: str
-
vault_id¶ Gets the vault_id of this UpdateConnectionDetails. References the OCI Vault that contains the customer-managed encryption key identified by keyId.
Deprecated: This field is deprecated for GoldenGate connections. Sensitive attributes should be provided using the corresponding Secret OCID attributes of the connection (for example, passwordSecretId) instead of plain-text attributes encrypted with vaultId and keyId. This change follows the GoldenGate “Plain Text Fields in Connections” deprecation: https://docs.oracle.com/en-us/iaas/Content/servicechanges.htm#servicechanges_topic-GoldenGate
This field is applicable only when doesUseSecretIds is set to false. If vaultId is provided, keyId must also be provided.
Returns: The vault_id of this UpdateConnectionDetails. Return type: str
-